
{% load static %}

<!DOCTYPE html>
<html lang="en" data-bs-theme="dark">

    <head>
<meta charset="UTF-8">
<meta name="author" content="Ed Rubio - Vultures">
<meta name="viewport" content="width=device-width, initial-scale=1.0">

<link rel="stylesheet" href="{% static 'fa/css/all.min.css' %}">
<link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">
<link rel="icon" type="image/png" href="{% static 'page_icon.png' %}">

<title>• {% block title %} {% endblock title %}</title>

<style>
    html { scroll-behavior: smooth; }

    body { background-repeat: no-repeat; background-position: center;
        background-size: cover; background-attachment: fixed;

        background-image: linear-gradient(rgba(28, 28, 30, .6), rgba(28, 28, 30, .6)),
        url("{% static 'background.png' %}");

        scrollbar-width: none;
    }
    body::-webkit-scrollbar { width: 0; }
    body::-webkit-scrollbar { width: 0; background: transparent; }
    body::-webkit-scrollbar-thumb { display: none; }

    .navbar { background-color: transparent; transition: background-color 0.7s; }
    .bg-scroll { background-color: rgb(28, 28, 30) !important; }
</style>
    </head>


    <body class="d-flex flex-column min-vh-100">

<!-- Barra de navegación: ----------------------------------------------------->
<nav class="navbar navbar-expand-lg bg-transparent fixed-top p-3" id="main-navbar">
    <div class="container">

        <a class="navbar-brand">
            <img src="{% static 'page_icon.png' %}" alt="Vultures" width="36" height="36">
        </a>

        <!-- Botones de navegación: -->
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav ml-auto">
                <li class="nav-item"><a class="nav-link" href="#">Vultures</a></li>
                <li class="nav-item"><a class="nav-link" href="#">Courses</a></li>
                <li class="nav-item"><a class="nav-link" href="#">Contact</a></li>

                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle text-secondary-emphasis" href="#" role="button"
                        data-bs-toggle="dropdown" aria-expanded="false">More</a>

                    <ul class="dropdown-menu mt-4 bg-scroll border-0">
                        <li><a class="dropdown-item" href="#">...</a></li>
                        <li><hr class="dropdown-divider"></li>
                        <li><a class="dropdown-item" href="#">...</a></li>
                    </ul>
                </li>

            </ul>
        </div>

        <!-- Perfil del usuario: -->
        <a href="#" class="nav-item border p-3 text-decoration-none">
            <div class="d-flex align-items-center">
                <i class="fa-solid fa-user me-2 text-secondary-emphasis"></i>
                <span class="text-secondary-emphasis">Iniciar sesión</span>
            </div>
        </a>

    </div>
</nav>

<!-- Contenido de la página -->
<div class="p-5 mt-5">
    {% block content %}

    {% endblock content %}
</div>

<!-- Footer: -->
<footer class="text-center bg-transparent mt-auto">

    <div class="container">

        <section class="mt-2">
            <div class="row text-center d-flex justify-content-center pt-5">

                <!-- About us: -->
                <div class="col-md-2">
                    <h6 class="text-uppercase font-weight-bold">
                        <a href="#!" class="text-secondary-emphasis">Conócenos</a>
                    </h6>
                </div>

                <!-- Awards: -->
                <div class="col-md-2">
                <h6 class="text-uppercase font-weight-bold">
                    <a href="#!" class="text-secondary-emphasis">Reconocimientos</a>
                </h6>
                </div>

                <!-- Help: -->
                <div class="col-md-2">
                <h6 class="text-uppercase font-weight-bold">
                    <a href="#!" class="text-secondary-emphasis">Soporte</a>
                </h6>
                </div>

            </div>
        </section>

        <div class="d-flex flex-wrap justify-content-between align-items-center py-3 my-4 border-top">

            <div class="col-md-4 d-flex align-items-center">
                <span class="mb-3 mb-md-0 text-body-secondary">© 2023 Vultures, Inc</span>
            </div>

            <section class="text-center">
                <a href="https://gitlab.com/ed.cetacean/Vultures-GCE/" class="text-secondary-emphasis me-4">
                    <i class="fab fa-gitlab"></i>
                </a>
            </section>

        </div>

    </div>

</footer>


<!-- Scripts: -->
<script src="{% static 'js/jquery.min.js' %}"></script>
<script src="{% static 'js/popper.min.js' %}"></script>
<script src="{% static 'js/bootstrap.min.js' %}"></script>

<script>
    // Cambia el color de la barra de navegación.
    window.addEventListener('scroll', function() {
        var navbar = document.getElementById('main-navbar');
        if (window.scrollY > 22) {
            navbar.classList.add('bg-scroll');
        } else {
            navbar.classList.remove('bg-scroll');
        }
    });
</script>
    </body>


</html>